> ## Documentation Index
> Fetch the complete documentation index at: https://flexprice-mintlify-72431e89.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get scheduled task

> Use when you need to load a single scheduled task (e.g. to show details in a UI or check its configuration).



## OpenAPI

````yaml /api-reference/openapi.json get /tasks/scheduled/{id}
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /tasks/scheduled/{id}:
    get:
      tags:
        - Scheduled Tasks
      summary: Get scheduled task
      description: >-
        Use when you need to load a single scheduled task (e.g. to show details
        in a UI or check its configuration).
      operationId: getScheduledTask
      parameters:
        - name: id
          in: path
          description: Scheduled Task ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduledTaskResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ScheduledTaskResponse:
      type: object
      properties:
        connection_id:
          type: string
        created_at:
          type: string
          format: date-time
        enabled:
          type: boolean
        entity_type:
          $ref: '#/components/schemas/types.ScheduledTaskEntityType'
        environment_id:
          type: string
        id:
          type: string
        interval:
          $ref: '#/components/schemas/types.ScheduledTaskInterval'
        job_config:
          $ref: '#/components/schemas/types.S3JobConfig'
        status:
          type: string
        tenant_id:
          type: string
        updated_at:
          type: string
          format: date-time
    errors.ErrorResponse:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/errors.ErrorCode'
        http_status_code:
          type: integer
        message:
          type: string
      x-speakeasy-name-override: ErrorResponse
    types.ScheduledTaskEntityType:
      type: string
      enum:
        - events
        - invoice
        - credit_topups
        - credit_usage
        - usage_analytics
      x-enum-varnames:
        - ScheduledTaskEntityTypeEvents
        - ScheduledTaskEntityTypeInvoice
        - ScheduledTaskEntityTypeCreditTopups
        - ScheduledTaskEntityTypeCreditUsage
        - ScheduledTaskEntityTypeUsageAnalytics
      x-speakeasy-name-override: ScheduledTaskEntityType
    types.ScheduledTaskInterval:
      type: string
      enum:
        - 15MIN
        - 30MIN
        - custom
        - hourly
        - daily
      x-enum-comments:
        ScheduledTaskIntervalCustom: 10 minutes for testing
      x-enum-varnames:
        - ScheduledTaskIntervalEvery15Minutes
        - ScheduledTaskIntervalEvery30Minutes
        - ScheduledTaskIntervalCustom
        - ScheduledTaskIntervalHourly
        - ScheduledTaskIntervalDaily
      x-speakeasy-name-override: ScheduledTaskInterval
    types.S3JobConfig:
      type: object
      properties:
        bucket:
          type: string
          description: S3 bucket name
        compression:
          $ref: '#/components/schemas/types.S3CompressionType'
        encryption:
          $ref: '#/components/schemas/types.S3EncryptionType'
        endpoint_url:
          type: string
          description: Custom S3 endpoint URL (e.g., "http://minio:9000" for MinIO)
        export_metadata_fields:
          type: array
          description: Optional user-selected metadata columns
          items:
            $ref: '#/components/schemas/types.ExportMetadataField'
        key_prefix:
          type: string
          description: Optional prefix for S3 keys (e.g., "flexprice-exports/")
        region:
          type: string
          description: AWS region (e.g., "us-west-2")
        use_path_style:
          type: boolean
          description: Use path-style addressing (required for MinIO)
      x-speakeasy-name-override: S3JobConfig
    errors.ErrorCode:
      type: string
      enum:
        - http_client_error
        - system_error
        - internal_error
        - not_found
        - already_exists
        - version_conflict
        - validation_error
        - invalid_operation
        - permission_denied
        - database_error
        - service_unavailable
        - too_many_requests
      x-enum-varnames:
        - ErrCodeHTTPClient
        - ErrCodeSystemError
        - ErrCodeInternalError
        - ErrCodeNotFound
        - ErrCodeAlreadyExists
        - ErrCodeVersionConflict
        - ErrCodeValidation
        - ErrCodeInvalidOperation
        - ErrCodePermissionDenied
        - ErrCodeDatabase
        - ErrCodeServiceUnavailable
        - ErrCodeTooManyRequests
      x-speakeasy-name-override: ErrorCode
    types.S3CompressionType:
      type: string
      enum:
        - none
        - gzip
      x-enum-varnames:
        - S3CompressionTypeNone
        - S3CompressionTypeGzip
      x-speakeasy-name-override: S3CompressionType
    types.S3EncryptionType:
      type: string
      enum:
        - AES256
        - aws:kms
        - aws:kms:dsse
      x-enum-varnames:
        - S3EncryptionTypeAES256
        - S3EncryptionTypeAwsKms
        - S3EncryptionTypeAwsKmsDsse
      x-speakeasy-name-override: S3EncryptionType
    types.ExportMetadataField:
      required:
        - entity_type
        - field_key
      type: object
      properties:
        column_name:
          type: string
          description: CSV column header to be shown in the exported file
        entity_type:
          $ref: '#/components/schemas/types.ExportMetadataEntityType'
        field_key:
          type: string
          description: metadata key to look up
      x-speakeasy-name-override: ExportMetadataField
    types.ExportMetadataEntityType:
      type: string
      enum:
        - customer
        - wallet
      x-enum-varnames:
        - ExportMetadataEntityTypeCustomer
        - ExportMetadataEntityTypeWallet
      x-speakeasy-name-override: ExportMetadataEntityType
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````